Overview

iBrowser is an efficient image viewing and cataloging utility. It is optimized for fast thumbnail preview of folders with great number of large images. All popular graphic formats are supported. Power features make iBrowser the best choice for every day use. Among these features customable interface layouts, advanced memory management, slideshow, format defining by signature, full screen view, animated images autoplay, coping to clipboard, intelligent large files support, set as wallpaper function, windows shell extension.


File

Menu File

Options | Options | calls iBrowser Options
Exit | Exit | exits the program


View

Menu View

  • From menu View you can show or hide Standard toolbar, Status bar, Tree view window, Image list window, Info window and Bar titles.
  • Check mark indicates that window or bar is visible.


Layouts

Menu Layouts

Startup layout | Startup Layout | restores position in which were program and Tree view, Info, Image list and Image windows when the program was last exited
Tree+List+Image layout | Tree+List+Image | loads layout with Tree view, Image list and Image windows arranged vertically convenient for browsing through whole system with complicated tree structure
Tree+List layout | Tree+List | loads layout with Tree view, Image list and Info windows convenient for browsing folders with image files and searching for image
List+Image layout | List+Image | loads layout with Image list and Image windows convenient for viewing images
Manager | Manager | calls iBrowser Options
  • You can also create, save and load layout of your own from Layouts tab in Options.


Menu Favorites

Menu Favorites allows you to save and organize quick links to folders and single images.


Menu Help

Help Topics | launches iBrowser help file
fCoder Homepage | launches default internet browser and goes to fCoder homepage
iBrowser Homepage | launches default internet browser and goes to iBrowser homepage
Technical Support | aunches default internet browser and goes to fCoder support page
Update Request | launches default internet browser and goes to fCoder site for update
About iBrowser… | launches window with iBrowser version and copyright information


Tree view

In the Tree view window are displayed the folders of your file system as a tree.

  • Whenever you select a folder in the Tree view window its contents appear in the Image list window.
  • If a folder contains subfolders, a [+] appears next to the folder icon. You can expand the folder to show the subfolders by clicking on the [+]. A [-] will appear to an expanded folder.
  • You can collapse a folder to hide its subfolders by clicking on the [-].
  • A context menu will be shown when you click on a folder with the right mouse button.
  • You can show or hide the Tree view window with the [ View | Tree view ] menu command.


Images list

In Image list window is displayed contents of a folder selected in the Tree view window.

  • Whenever you select a folder in the Tree view window its contents appear in the Image list window.
  • Click on folder to view it contents.
  • A context menu will be shown when you click on a folder or image with the right mouse button.
  • You can show or hide the Image list window with the [ View | Image list ] menu command.
  • Whenever you select a folder or an image in the Image list window information about it appears in the Info window.

Image list toolbar


Image

In Image window is displayed an image selected in the Image list window.

  • Double click on an image to view it in full-screen mode
  • You can show or hide the Image window with the [ View | Image ] menu command.
  • Information about an image displayed in Image window can be found in the Info window.

Image window toolbar


Info - Folder

In Info window is displayed information about selected image or folder.

Information - Folder
  • Whenever you select a folder in the Tree view window information about selected folder appears in the Info window.
  • You can show or hide the Info window with the [ View | Info ] menu command.

Types:

Type
selection type - folder or image
Name
file or folder name
Full path
full path to file or folder location
Modified
date and time when file or folder was last modified
Images
number of images in folder
Subfolders
number of subfolders in folder


Info - Image

In Info window is displayed information about selected image or folder.

Information - Folder
  • Whenever you select an image in the Image list information about selected image appears in the Info window.
  • You can show or hide the Info window with the [ View | Info ] menu command.

Types:

Type
selection type - folder or image
Name
file or folder name
Full path
full path to file or folder location
Modified
date and time when file or folder was last modified
File size
file size in bytes
Resolution
image resolution in DPI (dots per inch)
Width
image width in pixels
Height
image height in pixels
Bpp
image color depth in bpp (bits per pixel)
Pages*
number of pages in multipage file

* available only for multipage files


Standard

Standard toolbar

Startup Layout | restores position in which were program and Tree view, Info, Image list and Image windows when the program was last exited
Tree+List+Image | loads layout with Tree view, Image list and Image windows arranged vertically convenient for browsing through whole system with complicated tree structur
List+Image | loads layout with Image list and Image windows convenient for viewing images
Tree+List | loads layout with Tree view, Image list and Info windows convenient for browsing folders with image files and searching for image
Manager | calls iBrowser Options
  • You can create, save and load layout of your own from Layouts tab in Options.


Image list toolbar

Image list Toolbar

Up | Up | goes one level up in file system
 | Open folder | opens selected folder active only if a folder is selected
 | Small icon view | displays files as small icons
 | Large icon view | displays files as large icons
 | List view | displays files as a list
 | Detailed view | displays files in a table with detailed information about each file
 | Thumbnail view | displays files as thumbnails this view can be customized from Thumbnails tab in Options


Image window toolbar

Previous page | shows previous page in multipage file active only for multipage files
Play | plays multipage file; active only for multipage files
Next page | shows next page in multipage file active only for multipage files
Previous image | loads previous image in folder
Next image | loads next image in folder
Slide show | starts/stops slide show
Actual size | shows image in its actual size
Best fit | stretches or shrinks image to fit to Image window
Zoom in | zooms image in
Zoom out | zooms image out
Full screen | toggles full screen mode keyboard shortcut - Ctrl+F
Background color | changes background color of Image window
Wallpaper | makes image displayed in Image window desktop wallpaper
Rotate left | rotates image displayed in Image window to 90 degrees
Rotate right | rotates right image displayed in Image window to - 90 degrees
Flip vertical | flips image displayed in Image window vertically
Flip horizontally | flip image displayed in Image window horizontally


Overview

Options

In Options dialog are displayed iBrowser changeable settings.

Options dialog can be called from [ File | Options ] menu command or from Standard toolbar (it will open at Layouts tab).

To learn more about each Options tab follow links below.


Layouts

Options: Layouts

At this tab you can manage layouts.

Save
saves current layout active only if field for layout name is not empty
Load
loads selected layout active only if any layout is selected
Delete
deletes selected layout active only if any layout is selected
Clear All
deletes all layouts
  • Name for each layout must be unique.


Image list

Options: Image list

Delay before showing preview
pause between selecting file in Image list window and showing it in Image window. Possible values - from 0.2 second to 1.0 second.
Arrange icons by
sorts files in Image list window by name, size, date/time and type
Background color
sets background for Image list window
  • Background color set here is color for all views except thumbnail view. Background color for thumbnail view can be set at Thumbnail tab.
  • Default background color for Image list window is white.


Thumbnails

Options: Thumbnails

Thumbnail size
sets horizontal (X) and vertical (Y) size of thumbnail possible values - from 32 to 192 pixels
Background color
sets background color for Image list window in thumbnail view
Don't create thumbnail larger then actual size
check this checkbox to disable creating of thumbnails if image is smaller then thumbnail
Additional info
information to be displayed below thumbnail along with file name possible values - none, dimentions, type, size, date/time.
  • Default background color for Image list window in thumbnail view is gray.
  • Check checkbox "Make square" to make thumbnail horizontal and vertical sizes equal.


Preview

Options: Preview

Background color for window
sets background color for Image window in normal (window) mode
Background color for full-screen mode
sets background color for Image window in full-screen mode
Delay for slideshow
delay before showing next image in slideshow possible values - from 0.5 second to 5.0 second
Default zoom
sets default zoom behavior possible values - previous zoom, actual size, best fit, autoselect
Wrap around Images list in slideshow
automatically starts slideshow from the beginning when it comes to the end
Autoplay animated images
automatically starts playing animated images
  • Default background color for Image window in normal mode is white.
  • Default background color for Image window in full-screen mode is black.


Associated image file types

Options: File types

Check checkboxes near format name to make it associated with iBrowser.

Image file types
list of supported image file types
Select All
checks all checkboxes
Clear All
unchecks all checkboxes
Browse folders with iBrowser
adds "Browse with iBrowser" to windows explorer context menu
Open associated files in full-screen mode
opens image files in formats associated with iBrowser in full-screen mode


Navigator

Navigator is a tool that helps you to visually scroll your images. If image is larger then Image window and scroll bars appear, it will become active. Navigator will appear at the corner between vertical and horizontal scroll bars. Click on it with left mouse button and hold. Small window with thumbnail will appear. Rectangle on thumbnail shows area visible in Image window. Release mouse button to hide Navigator window.


Shell commands

To add "Browse with iBrowser" function to Windows Explorer check appropriate checkbox at Associated image file formats tab in Options.

After you did it, whenever you select a folder in Windows Explorer and click on it with right mouse button this folder will be opened in iBrowser.


View an image full-screen

How to view an image in full-screen mode
To view image in full-screen mode:

Variant 1:
Double click on image in Image window.

Variant 2:
Double click on image icon or thumbnail in Image list window.

Variant 3:
You can switch to full-screen mode from context menu.

Variant 4:
Press Fullscreen on Image window toolbar.

To return to normal mode:

Variant 1:
Double click on image.

Variant 2:
Uncheck full-screen mode in context menu.

Variant 3:
Press Fullscreen on Image window toolbar.


Run a slide show

How to run a slide show

To run a slide show press Slideshow on Image window toolbar

  • delay before showing next image in slideshow can be set in Preview tab in Options. Possible values - from 0.5 second to 5.0 second
  • slide show can be run if there is more then one image in a folder
  • to wrap around images in slide show check appropriate checkbox in Preview tab in Options


Visually scroll an image

How to visually scroll an image?

You can visually scroll image if it is larger then Image window.

  1. Press and hold Navigator at the corner between vertical and horizontal scroll bars.
  2. will appear. Rectangle on thumbnail shows area visible in Image window.
  3. Move mouse holding left button to find part of image you are looking for.
  4. Release mouse button to hide Navigator window.


Launch iBrowser from Windows Explorer context menu

How to launch iBrowser from Windows Explorer context menu?

To add "Browse folders with iBrowser" function to Windows Explorer context menu check appropriate checkbox at Associated image file types tab in Options. After you did it, whenever you select a folder in Windows Explorer and click on it with right mouse button iBrowser will open this folder.


Change background colors

How to change background colors?
To change background color of:
Image window:
  • click on Background color on image window toolbar
  • select color at Preview tab in Options

Note: default color for Image window is white.

Full-screen mode:
  • select color at Preview tab in Options

Note: default color for full-screen mode is black.

Image list window:
  • select color at Image list tab in Options

Note: default color for Image list window is white.

Note: background color set here is color for all views except thumbnail view.

Thumbnail view:
  • select color at Thumbnail tab in Options

Note: default color for Thumbnail view is gray.


Customize thumbnail

How to customize thumbnail?
To customize thumbnails in thumbnail view in Image list window:
  1. Open Thumbnail tab in Options
  2. Set horizontal (X) and vertical (Y) size of thumbnail; possible values - from 32 to 192 pixels
  3. Click OK button
  • Check "Make square" checkbox if you want to make thumbnail horizontal and vertical sizes equal
  • Check "Don't create thumbnail larger then actual size" checkbox to disable creating of thumbnails if image is smaller then thumbnail
  • To display any information below thumbnail in thumbnail view select one of possible choices (none, dimentions, type, size, date/time) in Additional info


Associate image file formats with iBrowser

How to associate image file formats with iBrowser?

To associate image file formats with iBrowser:

  1. Open Associated image file formats tab in Options
  2. Check checkboxes near file formats you want to be associated with iBrowser
  3. Click OK button
  • To open associated files in full-screen mode check appropriate checkbox.


Change the way files are sorted

How to change the way files are sorted?

Variant 1:
From Image list window context menu.

Variant 2:
From Image list tab in Options.


License agreement

1. All copyrights to iBrowser are exclusively owned by fCoder Group.

2. iBrowser may be freely distributed, with exceptions noted below, provided the distribution package is not modified. No person or company may charge a fee for the distribution of iBrowser without written permission from the copyright holder. iBrowser may not be bundled or distributed with any other package without written permission of the copyright holder.

3. iBrowser is an ad-supported software (adware). iBrowser doesn't collect or transfer any information about the user. It doesn't install or use any third-party adware components. Microsoft Internet Explorer is used for displaying advertisements. All advertisement comes from http://www.fcoder.com/.

4. iBrowser displays advertisements only if you have internet connection. If you are not connected, it might try to connect, but only if you have such settings in your Microsoft Internet Explorer. No internet connection is required for proper work of iBrowser itself.

5. iBrowser is distributed "as is". No warranty of any kind is expressed or implied. You use at your own risk. fCoder Group will not be liable for data loss, damages, loss of profits or any other kind of loss while using or misusing this software.

6. You may not use, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the licensed program, or any subset of the licensed program, except as provided for in this agreement. Any such unauthorized use shall result in immediate and automatic termination of this license and may result in criminal and/or civil prosecution.

7. All rights not expressly granted here are reserved by fCoder Group.

8. Installing and using iBrowser signifies acceptance of these terms and conditions of the license.

9. If you do not agree with the terms of this license you must remove iBrowser files from your storage devices and cease to use the product.

fCoder Group, 1998-2003
www.fcoder.com


Acknowledgements

Many thanks to all those who help us to make iBrowser a multilingual software.

Daryl Fortney | English proof reading
Juan Jose Prieto Renieblas | Spanish translation
Paolo Risso | Italian translation
Pouh Stephan | German translation
Arnold Angelsen | Norwegian translation
Milton C. de Almeida | Portuguese translation
Jozsef Tamas Herczeg | Hungarian translation
Mariusz Szczygiel | Polish translation
Leif Larsson | Swedish translation

The JPEG decoder of fCoder Group was made possible through the use of code produced by the Independent JPEG Group.

TIFF support was made possible through the use of code in Sam Leffler's TIFF library.

PNG support was made possible through the use of code produced by PNG Development Group.

Thank you to all users who contributed to iBrowser by sending suggestions, questions and comments. You are helping us to develop better software.

Thank you to all users who supported the development of this software by registering.


Supported formats

Format | BPP | Compression | File extensions | Additional info
MS Windows Icon | 1, 4, 8, 16, 24, 32 | none | ico |
MS Windows Cursor | 1, 4, 8, 16, 24, 32 | none | cur |
MS Windows Animated Cursor | 1, 4, 8, 16, 24, 32 | none | ani |
Bitmap | 1, 4, 8, 16, 24, 32 | Run Length Encoding (RLE8, RLE4), none | bmp, dib, rle | Reads MS Windows and OS2 Bitmap.
Graphics Interchange Format | 1..8 | LZW | gif | Reads GIF'87a and GIF'89a. Capable to read corrupted files (e.g. incompletely downloaded from the Internet)
Joint Photographic Experts Group Format | 8, 24, 32 | JPEG | jpeg, jpg, jpe | Capable to read corrupted files (e.g. incompletely downloaded from the Internet)
Kodak Photo CD |  | JPEG | pcd | Capable to read corrupted files (e.g. incompletely downloaded from the Internet)
ZSoft Paintbrush PCX | 1, 4, 8, 24 | Run Length Encoding (RLE), none | pcx |
ZSoft Paintbrush DCX | 1, 4, 8, 24 | Run Length Encoding (RLE), none | dcx | File can contain up to 1024 frames in PCX format
Portable Network Graphics | 1, 2, 4, 8, 16, 24, 32 | ZIP DEFLATE | png | Supports files with and without alpha-channel
Portable PixMap | 24 | none | ppm | Supports files in BINARY or ASCII view
Portable BitMap | 1 | none | pbm | Supports files in BINARY or ASCII view
Portable GreyMap | 8 | none | pgm | Supports files in BINARY or ASCII view
Truevision Targa | 8, 15, 16, 24, 32 | Run Length Encoding (RLE), none | tga | Supports files with and without alpha-channel
Tag Image File Format | 1, 8, 16, 24, 32, 64 | CCITT-RLE, CCITT-FAX3, CCITT-FAX4, LZW, JPEG, CCITT-RLEW, PACKBITS | tif, tiff | Supports files with and without alpha-channel
Wireless Bitmap (Level 0) | 1 | none | wbmp, wbm | Images for WAP
Windows metafiles | - | none | wmf |
Aldus Placeable metafiles | - | none | apm |
Enhanced metafiles | - | none | emf |
Word Perfect Graphics | - | Run Length Encoding (RLE), none | wpg |
Adobe Photoshop Document | 1, 8, 16 bits per channel | Run Length Encoding (RLE), none | psd | Supports format versions from 2.5 to 6.0
GEM Bit Image | 1, 4, 8 bpp | Run Length Encoding (RLE) | img, gem |
Amiga Interchange File | 1..8, 24 bpp | Run Length Encoding (RLE), none | iff |
SUN Raster | 1..8, 24 bpp | none | ras |
Silicon Graphics Image | 1, 2, 3, 4, 8, 16, 24, 32 bpp | Run Length Encoding (RLE), none | sgi |
X-Windows bitmap | 1 bpp | none | xbm |
X-Windows pixmap | 8 bpp | none | xpm |
AutoCAD DXF | - | none | dxf |
UTAH RLE | 8 bpp |  | rle |
Apple Macintosh QuickDraw/PICT files | 1,2,4,8,16,32 bpp | JPEG | pict, pic, pct |
Paint Shop Pro Image File |  | RLE, LZ77, JPEG, none | psp | Supports format versions 3 and 4
JPEG Network Graphic |  | JPEG | jng |
Multiple Network Graphic |  |  | mng |
Windows Clipboard | 1, 4, 8, 16, 24, 32 bpp |  | clp |
Dr. Halo | 8 bpp |  | cut |
FlashPix Format | 24 bpp | none, JPEG | fpx |


About fCoder Group

fCoder Group is a software company specializing in Windows-based applications for image processing, web design and hi-tech engineering. The company's mission is to provide customers with stable and reliable products at a reasonable price. Our customers range from highly skilled graphic designers to home users. They value not only advanced functionality and high reliability of fCoder software, but also great customer service.

fCoder main line is photo manipulation software - image viewers, image converters, etc.. We have long and profound experience you can rely on. Our graphic engine being developed and improved for three years became now a powerful tool that processes large images, batches of graphic files and even damaged files with great stability. Most fCoder photo tools have capability to process images in batch mode.

fCoder Group distributes its products in electronic form via the Internet. There is a certain peculiarity about licensing fCoder software - we provide our customers with Lifetime License allowing them to receive updates for programs they bought for free.


fCoder Software

ImageConverter Plus

Many people work with graphics. Some take family and friends photos, some scan images of favorite actors or documents, some download pictures from Internet.
ImageConverter Plus - is a set of tools for viewing, processing and printing graphics files (photos, images, drafts, faxes, icons, cursors, etc.). ImageConverter Plus contains four mutually integrated programs: poly-document graphics editor ImageEditor Plus; improved pre-printing processing module; Windows Explorer shell extension module; graphic files batch processing module. All these modules are easy to use and have intuitive interface.
More..

AutoGraphicsHTML

If you want to quickly prepare a web site containing many images and easily upload it to your Internet server then you should use AutoGraphicsHTML.
Using a simple wizard interface, the program will convert the images you select to GIF or JPEG format and will arrange these images and thumbnails (which it also creates) to HTML pages and will organize all hyperlinks.
More..

PhotoMix

Have you ever thought that you can have all your image gallery in just one picture?.. All these small photos - put them together!.. Now you have a very nice looking tool for mixing several images into one - fCoder PhotoMix.
Just select images you want to mix and few mouse clicks - and here you are! You have them all in one. Arrange it to your liking. You can select one of the standard layouts, or even create a new one, save it and add to the standard set. Full screen mode allows to facilitate work with the large size images.
PhotoMix supports most popular graphic formats that allows you to mix any pictures. You can create mixed image of any size, and also can save in different graphic formats.
And at last, but not at least, nice-looking interface makes working with PhotoMix real pleasure.
More..

PhotoPrint

PhotoPrint is a professional utility for people working with graphic content. It makes large image collection management easy and creates ready-to-print photo albums.
User-friendly interface along with command line mode makes it both handy for inexperienced user and professional. Many things can be applied automatically - page header and footer macros, image comment macros, AutoArrange mode - at the same time you can position and size images any way you like. All this allows to create a unique presentation quickly and easily.
Image frame and shadow size, color and ankle can be customized. Several kinds of image alignment let you organize images on page exactly as you want.
More..

BackFlip

BackFlip (Background Flipper), the best wallpaper utility, lets you take control of your desktop, allowing you to set any picture (19 most popular graphic format supported) as your desktop wallpaper (background image) - instantly! You can use digital photos of your family or friends, nature or art images, textures or schemes. You can use any pictures on your computer, CD disks, local network and even Internet. Just select the pictures you want to use as your wallpaper. Then let the interval timer change your wallpaper automatically for you, or just click the Background Flipper icon down in your system tray anytime you want the wallpaper to change -- just one click!
More..

GIFfyCutter

GIFfyCutter simplifies web-designer's work with large images. By cutting large images into smaller sections, your Web page may load faster. GIFfyCutter splits your image the way you want to, both vertically and horizontally and into as many sections as you want. You can use the rectangle, circle, or polygon drawing tools to create imagemaps. Each section and imagemap can be linked to any place on Web.
More..

GIFfyBatch

We believe that GIFfyBatch can solve the very important problem website developer comes along with. Any webdesigner knows how important it is to create a qualitative site. Any designer has to make a choice. He can improve picture quality, but the picture size will increase.
GIFfyBatch is created to solve the problem of GIF files increase. The program is set up for processing a large number of GIF images.
There's no need for you to look through hundreds of images, just launch GIFfyBatch, and it will make all job for you.
More..

fCoder Batch Converters

There are plenty of different graphics editors. They are designed for single images viewing and editing. But what if you need just to convert you files from one format to another or process them according to one scheme. And what if you have hundreds of files need to be processed? You may need several months if you try to do it with ordinary editor.
These programs can be launched from command line, BATCH-file or another application written in C, C++, Visual C++, Borland C, Visual Basic, etc. They have maximum optimization for work at background and have no windows interface. Log file is being created while the program is running.
It also wouldn't be convenient to convert to JPEG from Bitmap by one program, to JPEG from PCX - by another, to JPEG from TIFF - by third, even though these programs would be the fastest converters in the World. Overall number of input formats is 20, and output - 4.
More..


Performance

Options: Performance

Check checkboxes near format name to make it associated with iBrowser.

Memory usage
amount of virual memory
Threads count
number of simultaneous processes
Identify images using extention
unchecks all checkboxes
Identify images using file format
adds "Browse with iBrowser" to windows explorer context menu
Restore tree state at start up
opens image files in formats associated with iBrowser in full-screen mode